<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <ui:decorate template="_menu_template.xhtml">
        <ui:define name="menu_title">
            <a class="navbar-brand" href="#{request.contextPath}/home.seam">#{messages['net.ihe.gazelle.assertion-manager.AssertionManager']}</a>
        </ui:define>
        <ui:define name="menu_logo">
            <h:graphicImage library="img" alt="#{messages['gazelle.tm.IHELogo']}"
                            name="gazelle.png" height="34"/>
        </ui:define>
        <ui:define name="menu_navigation_links">
            <li>
                <h:outputLink
                        value="#{request.contextPath}/scopes/index.seam">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.assertion-manager.Scopes']}"/>
                </h:outputLink>
            </li>
            <li>
                <h:outputLink
                        value="#{request.contextPath}/assertions/index.seam">
                    <h:outputText value="#{messages['net.ihe.gazelle.Assertions']}"/>
                </h:outputLink>
            </li>
            <li>
                <h:outputLink
                        value="#{request.contextPath}/idSchemes/index.seam">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.assertion-manager.IdSchemes']}"/>
                </h:outputLink>
            </li>
            <li>
                <h:outputLink
                        value="#{request.contextPath}/documents/index.seam">
                    <h:outputText
                            value="Documents"/>
                </h:outputLink>
            </li>
            <h:panelGroup rendered="#{identity.loggedIn and s:hasRole('admin_role')}">
                <li class="dropdown"><a href="#" class="dropdown-toggle"
                                        data-toggle="dropdown" role="button" aria-expanded="false">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.assertion-manager.Coverage']}"/>
                    <span class="caret"/> </a>
                    <ul class="dropdown-menu" role="menu">
                        <li>
                            <h:outputLink rendered="#{identity.loggedIn}"
                                          value="#{request.contextPath}/assertions/coveredBy/test.seam">
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.assertion-manager.TestToAssertions']}"/>
                            </h:outputLink>
                        </li>
                        <li>
                            <h:outputLink rendered="#{identity.loggedIn}"
                                          value="#{request.contextPath}/assertions/coveredBy/testStep.seam">
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.assertion-manager.TestStepToAssertions']}"/>
                            </h:outputLink>
                        </li>
                        <li>
                            <h:outputLink rendered="#{identity.loggedIn}"
                                          value="#{request.contextPath}/assertions/coveredBy/rule.seam">
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.assertion-manager.RulesToAssertions']}"/>
                            </h:outputLink>
                        </li>
                    </ul>
                </li>
            </h:panelGroup>
            <h:panelGroup rendered="#{identity.loggedIn and s:hasRole('admin_role')}">
                <li class="dropdown"><a href="#" class="dropdown-toggle"
                                        data-toggle="dropdown" role="button" aria-expanded="false">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.assertion-manager.ApplyTo']}"/>
                    <span class="caret"/> </a>
                    <ul class="dropdown-menu" role="menu">
                        <li>
                            <h:outputLink
                                    value="#{request.contextPath}/assertions/appliesTo/actor.seam">
                                <h:outputText value="#{messages['net.ihe.gazelle.assertion-manager.Actors']}"/>
                            </h:outputLink>
                        </li>
                        <li>
                            <h:outputLink
                                    value="#{request.contextPath}/assertions/appliesTo/aipo.seam">
                                <h:outputText value="#{messages['net.ihe.gazelle.assertion-manager.AIPOs']}"/>
                            </h:outputLink>
                        </li>
                        <li>
                            <h:outputLink
                                    value="#{request.contextPath}/assertions/appliesTo/auditMessage.seam">
                                <h:outputText value="#{messages['net.ihe.gazelle.assertion-manager.AuditMessages']}"/>
                            </h:outputLink>
                        </li>
                        <li>
                            <h:outputLink
                                    value="#{request.contextPath}/assertions/appliesTo/integrationProfile.seam">
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.assertion-manager.IntegrationProfiles_2']}"/>
                            </h:outputLink>
                        </li>

                        <li>
                            <h:outputLink
                                    value="#{request.contextPath}/assertions/appliesTo/standard.seam">
                                <h:outputText value="#{messages['net.ihe.gazelle.assertion-manager.Standards']}"/>
                            </h:outputLink>
                        </li>
                        <li>
                            <h:outputLink
                                    value="#{request.contextPath}/assertions/appliesTo/transaction.seam">
                                <h:outputText value="#{messages['net.ihe.gazelle.assertion-manager.Transactions']}"/>
                            </h:outputLink>
                        </li>
                    </ul>
                </li>
            </h:panelGroup>
        </ui:define>
        <ui:define name="menu_search_box">
        </ui:define>
        <ui:define name="menu_user_actions_right">
            <h:panelGroup rendered="#{s:hasRole('admin_role')}">
                <li class="dropdown"><a href="#" class="dropdown-toggle"
                                        data-toggle="dropdown" role="button" aria-expanded="false">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.Administration']}"/>
                    <span
                            class="caret"/> </a>
                    <ul class="dropdown-menu" role="menu">
                        <li>
                            <h:outputLink
                                    value="#{request.contextPath}/administration/configure.seam">
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.assertion-manager.Configuration']}"/>
                            </h:outputLink>
                        </li>
                        <li class="divider"/>
                        <li>
                            <h:outputLink
                                    value="#{request.contextPath}/mbvServices/index.seam">
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.assertion-manager.MbvServices_2']}"/>
                            </h:outputLink>
                        </li>
                    </ul>
                </li>
            </h:panelGroup>

            <!-- Login menu from cas-client-ui-v7 -->
            <ui:decorate template="/layout/_login_menu.xhtml"/>

        </ui:define>
    </ui:decorate>
</ui:composition>